"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HorizontalTableCell = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var propTypes = {
  classes: _propTypes["default"].objectOf(_propTypes["default"].string).isRequired,
  content: _propTypes["default"].oneOfType([_propTypes["default"].node, _propTypes["default"].string]).isRequired,
  label: _propTypes["default"].oneOfType([_propTypes["default"].node, _propTypes["default"].string]).isRequired
};

var styles = function styles(theme) {
  return {
    contentElement: _defineProperty({
      display: 'inline-block',
      "float": 'left',
      marginRight: theme.spacing(4),
      marginBottom: theme.spacing(2),
      borderLeft: "solid 2px ".concat(theme.palette.divider),
      paddingLeft: theme.spacing(1),
      '&:last-child': {
        marginRight: 0
      }
    }, theme.breakpoints.up('md'), {
      marginRight: theme.spacing(8)
    })
  };
};

var HorizontalTableCellC = function HorizontalTableCellC(_ref) {
  var classes = _ref.classes,
      label = _ref.label,
      content = _ref.content;
  return _react["default"].createElement("div", {
    className: classes.contentElement
  }, typeof label === 'string' ? _react["default"].createElement(_Typography["default"], {
    variant: "caption"
  }, label) : label, _react["default"].createElement("br", null), typeof content === 'string' ? _react["default"].createElement(_Typography["default"], null, content) : content);
};

HorizontalTableCellC.propTypes = propTypes;
var HorizontalTableCell = (0, _styles.withStyles)(styles)(HorizontalTableCellC);
exports.HorizontalTableCell = HorizontalTableCell;